/**************************************************************************/
/* FetchRefs.h - Global definitions; included in every source module      */
/**************************************************************************/

#define VERSION "1.1"
#define DATE "(" __COMMODORE_DATE__ ")"

#include "defs.h"

/// Prototypes
LONG ToolTypesToReadArgs(UBYTE **tooltypes, STRPTR template, STRPTR result, LONG options);
void ReadWild(STRPTR path);
void ReadRefs(STRPTR filename, LONG filesize);
void ARexxLoop(void);
LONG DoRexxCommand(void *msg, struct MsgPort *port, char *arg0, char **pres);
LONG SPrintf(STRPTR dest, STRPTR fmt, ...);
LONG FindRef(void);
void FreeRefs(void);
void CloseAll(LONG error);
///

/// A few personal structs
struct FileEntry {
    struct Node node;

char afternode[];
    struct List RefsList;
    UBYTE Name[];
};

struct RefsEntry {
   struct Node node;
  
char afternode[];
   LONG Offset;
   LONG Length;
   WORD Goto;
   UBYTE Name[];
};

struct SearchOptions {
    STRPTR  Reference;
    STRPTR  DestFile;
    STRPTR  PubScreen;
    BOOL    FileRef;
    BOOL    Case;
};
///

/// Global variables
enum Arg { FILES, PORTNAME, RUNONCE, NO_MORE_ARGUMENTS };
extern LONG GotoLine, ParseResult[NO_MORE_ARGUMENTS];
extern struct List FileList, LoadedFiles;
extern struct SearchOptions SOpts;
///
